Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class JAuthenticator

    java.lang.Object
      java.net.Authenticator
          org.apache.batik.apps.svgbrowser.JAuthenticator

public class JAuthenticator
extends java.net.Authenticator

This class is resposible for providing authentication information when needed by network protocols. It does this by poping up a small window that asks for User ID and password for the system.

Field Summary
`protected javax.swing.JButton` | `cancelButton`
`protected javax.swing.JPasswordField` | `JPassword`
`protected javax.swing.JTextField` | `JUserID`
`static java.lang.String` | `LABEL_CANCEL`
`static java.lang.String` | `LABEL_OK`
`static java.lang.String` | `LABEL_PASSWORD`
`static java.lang.String` | `LABEL_REQ`
`static java.lang.String` | `LABEL_SITE`
`static java.lang.String` | `LABEL_USERID`
`protected javax.swing.JLabel` | `label1`
`protected javax.swing.JLabel` | `label2`
`protected javax.swing.JButton` | `okButton`
`static java.lang.String` | `TITLE` Internationalization message string
`protected javax.swing.JDialog` | `window`

Constructor Summary
`JAuthenticator()`

Method Summary
`protected javax.swing.JComponent` | `buildAuthPanel()`
`protected javax.swing.JComponent` | `buildButtonPanel()`
`java.net.PasswordAuthentication` | `getPasswordAuthentication()` This is called by the protocol stack when authentication is required.
`protected void` | `initWindow()`

Methods inherited from class java.net.Authenticator
`getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, requestPasswordAuthentication, requestPasswordAuthentication, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final java.lang.String TITLE

  Internationalization message string

  See Also:
    Constant Field Values

### LABEL_SITE

    public static final java.lang.String LABEL_SITE

See Also:
  Constant Field Values

### LABEL_REQ

    public static final java.lang.String LABEL_REQ

See Also:
  Constant Field Values

### LABEL_USERID

    public static final java.lang.String LABEL_USERID

See Also:
  Constant Field Values

### LABEL_PASSWORD

    public static final java.lang.String LABEL_PASSWORD

See Also:
  Constant Field Values

### LABEL_CANCEL

    public static final java.lang.String LABEL_CANCEL

See Also:
  Constant Field Values

### LABEL_OK

    public static final java.lang.String LABEL_OK

See Also:
  Constant Field Values

### window

    protected javax.swing.JDialog window

### cancelButton

    protected javax.swing.JButton cancelButton

### okButton

    protected javax.swing.JButton okButton

### label1

    protected javax.swing.JLabel label1

### label2

    protected javax.swing.JLabel label2

### JUserID

    protected javax.swing.JTextField JUserID

### JPassword

    protected javax.swing.JPasswordField JPassword

Constructor Detail

### JAuthenticator

    public JAuthenticator()

Method Detail

### initWindow

    protected void initWindow()

### buildAuthPanel

    protected javax.swing.JComponent buildAuthPanel()

### buildButtonPanel

    protected javax.swing.JComponent buildButtonPanel()

### getPasswordAuthentication

    public java.net.PasswordAuthentication getPasswordAuthentication()

  This is called by the protocol stack when authentication is required. We then show the dialog in the Swing event thread, and block waiting for the user to select either cancel or ok, at which point we get notified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.